=== debian/changelog ===
libmirage-dmo (1:3.2.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Apr 2021 13:43:39 +0200

libmirage-dmo (1:3.2.4-dmo2) unstable; urgency=medium

  * Fix build with GCC 10

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Apr 2021 11:15:44 +0200

libmirage-dmo (1:3.2.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jan 2020 08:54:49 +0100

libmirage-dmo (1:3.2.3-dmo3) unstable; urgency=medium

  * Add Multi-Arch support

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Oct 2019 08:46:18 +0200

libmirage-dmo (1:3.2.3-dmo2) unstable; urgency=medium

  * FIx doc-base path.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Aug 2019 08:40:08 +0200

libmirage-dmo (1:3.2.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Aug 2019 08:00:22 +0200

libmirage-dmo (1:3.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2019 08:16:17 +0100

libmirage-dmo (1:3.2.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Rename gir1.2-mirage --> gir1.2-mirage-3.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Mar 2019 08:47:18 +0100

libmirage-dmo (1:3.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Jul 2018 14:37:09 +0200

libmirage-dmo (1:3.1.0-dmo2) unstable; urgency=medium

  * Add intltool in Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Jun 2017 10:06:03 +0200

libmirage-dmo (1:3.1.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove version from these packages :
    gir1.2-mirage-3.0 --> gir1.2-mirage
    libmirage10-dev --> libmirage-dev
    libmirage10-doc --> libmirage-doc
  * Move all plugins to a new package (libmirage-plugin).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Jun 2017 10:25:35 +0200

libmirage-dmo (1:3.0.5~repack-dmo2) unstable; urgency=medium

  * Remove libmirage10.symbols file

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2016 18:13:26 +0200

libmirage-dmo (1:3.0.5~repack-dmo1) unstable; urgency=medium

  * Repack upstream tarball.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2016 13:06:28 +0200

libmirage-dmo (3.0.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2016 12:41:03 +0200

libmirage-dmo (3.0.4-dmo2) unstable; urgency=medium

  * Remove -dbg package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Mar 2016 09:22:54 +0100

libmirage-dmo (3.0.4-dmo1) unstable; urgency=medium

  * Upload to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Jan 2016 09:13:37 +0100

libmirage (3.0.4-1) debian; urgency=low

  * Updated to 3.0.4

 -- Rok Mandeljc <rok.mandeljc@gmail.com>  Sat, 21 Nov 2015 12:00:00 +0100

libmirage (3.0.3-1) debian; urgency=low

  * Initial Release. Closes: #705409

 -- Henrik Stokseth <henrik@hshq.net>  Sat, 05 Apr 2014 12:00:00 +0100
