=== debian/control ===
Source: libmirage-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://cdemu.sourceforge.io/about/libmirage/
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), dh-sequence-gir, pkg-config (>= 0.14),
 libglib2.0-dev (>= 2.28), libsndfile1-dev, libsamplerate0-dev, zlib1g-dev,
 libbz2-dev, liblzma-dev, gtk-doc-tools, libgirepository1.0-dev, intltool,
 cmake (>= 3.7.0~), ninja-build, valac

Package: libmirage11
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CD-ROM image access library
 The aim of libMirage is to provide uniform access to the data stored in
 different image formats, by creating a representation of disc stored in
 image file, which is based on GObjects.

Package: libmirage-plugin
Architecture: any
Conflicts: libmirage9, libmirage10
Replaces: libmirage9, libmirage10
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CD-ROM image access library - plugin files
 Provides uniform access to the data stored in different image formats, by
 creating a representation of disc stored in image file.
 .
 This package contains plugin files.
 .
 Currently supported image formats:
   * BlindWrite 5/6 (B5T, B6T) file format (readonly)
   * Roxio / WinOnCD (C2D) file format (readonly)
   * CloneCD (CCD, SUB, IMG) image format (readonly)
   * DiscJuggler (CDI) file format (readonly)
   * Easy CD Creator (CIF) file format (readonly)
   * CDRwin (CUE, BIN) image format (readonly)
   * Raw track loader (ISO, UDF etc.) image format (read-write)
   * Alcohol 120% (MDS) image format (readonly)
   * Daemon Tools (MDX) image format (readonly)
   * Nero Burning ROM (NRG) image format (readonly)
   * ReadCD (TOC, BIN) image format (readonly)
   * Cdrdao's (TOC, BIN) image format (read-write)
   * XCDRoast (TOC, BIN) image format (readonly)
 .
 Currently supported filter streams:
   * Apple Disk Image (DMG) container format (readonly)
   * Apple Disk Image (IMG, SMI) via MacBinary container format (readonly)
   * GZip (GZ) container format (readonly)
   * XZ (XZ) container format (readonly)
   * Compressed ISO (CSO) container format (readonly)
   * Compressed ISO (ISZ) container format (readonly)
   * Error Code Modeller (ECM) container format (readonly)
   * PowerISO (DAA) image format (readonly)
   * SNDFILE audio files (read-write)

Package: gir1.2-mirage-3.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libmirage11 (= ${binary:Version}), ${gir:Depends}, ${misc:Depends}
Replaces: gir1.2-mirage
Conflicts: gir1.2-mirage
Description: CD-ROM image access library - typelib files
 This package provides typelib files.

Package: libmirage-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmirage11 (= ${binary:Version}), gir1.2-mirage-3.2 (= ${binary:Version}), ${misc:Depends}
Replaces: libmirage10-dev
Conflicts: libmirage10-dev
Description: CD-ROM image access library - development files
 This package contains files needed to develop with libMirage.

Package: libmirage-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: devhelp
Replaces: libmirage10-doc
Conflicts: libmirage10-doc
Description: CD-ROM image access library - documentation
 This package contains documentation for libMirage.
