=== debian/watch ===
version=4

opts="dversionmangle=s/~repack//" \
https://sf.net/cdemu/ libmirage-(.+)@ARCHIVE_EXT@
