=== debian/changelog ===
libmirage-dmo (1:3.2.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Dec 2021 09:10:07 +0100
