=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://cdemu.sourceforge.io/about/libmirage/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13), dh-sequence-gir, pkg-config (>= 0.14),
  libglib2.0-dev (>= 2.28), libsndfile1-dev, libsamplerate0-dev, zlib1g-dev,
  libbz2-dev, liblzma-dev, gtk-doc-tools, libgirepository1.0-dev, intltool,
