## libmirage-dmo 3.2.10

=== debian/changelog ===
libmirage-dmo (1:3.2.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 30 Mar 2025 09:05:25 +0200

libmirage-dmo (1:3.2.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Sep 2024 00:26:30 +0200

libmirage-dmo (1:3.2.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Jul 2024 23:17:47 +0200

libmirage-dmo (1:3.2.7-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Mar 2024 13:40:45 +0100

libmirage-dmo (1:3.2.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 Nov 2023 00:27:39 +0100
