=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://cdemu.sourceforge.io/about/libmirage/
-Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (= 13), dh-sequence-gir, pkg-config (>= 0.14),
- libglib2.0-dev (>= 2.28), libsndfile1-dev, libsamplerate0-dev, zlib1g-dev,
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), dh-sequence-gir, pkgconf (>= 0.16),
+ libglib2.0-dev (>= 2.38), libsndfile1-dev, libsamplerate0-dev, zlib1g-dev,
  libbz2-dev, liblzma-dev, gtk-doc-tools, libgirepository1.0-dev, intltool,
  cmake (>= 3.7.0~), ninja-build, valac
