=== debian/watch ===
version=4

https://github.com/cdemu/cdemu/tags \
.*libmirage-@ANY_VERSION@@ARCHIVE_EXT@
