## libmirage-dmo 3.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.7)
-project(libmirage VERSION 3.2.6 LANGUAGES C)
+cmake_minimum_required(VERSION 3.16)
+project(libmirage VERSION 3.3.0 LANGUAGES C)
 
 # Semantic versioning 2.0.0 (semver.org):
 # MAJOR is increased when backwards-incompatible changes are made to
@@ -8,9 +8,14 @@
 # MINOR is increased when features are added to the API (e.g., addition
 # of interfaces). In this case, PATCH should be reset to zero.
 # PATCH is increased for all other changes such as bug-fixes.
-set(MIRAGE_SOVERSION_MAJOR 11)
+set(MIRAGE_SOVERSION_MAJOR 12)
 set(MIRAGE_SOVERSION_MINOR 0)
 set(MIRAGE_SOVERSION_PATCH 0)
+
+# The version if GIR (GObject Introspection) namespace. Similar to the
+# soversion, but with separate update criteria. For historic reasons,
+# the current version of the namespace is 3.2.
+set(MIRAGE_GIR_VERSION "3.2")
 
 # Additional CMake modules
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
@@ -23,6 +28,7 @@
 option(INTROSPECTION_ENABLED "Generate gobject introspection files" ON)
 option(VAPI_ENABLED "Generate the Vala API file" ON)
 option(POST_INSTALL_HOOKS "Run post-install hooks" ON)
+option(PEDANTIC_MODE "Enable -pedantic flag on gcc compiler" OFF)
 
 # Plugin directory
 set(MIRAGE_PLUGIN_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/libmirage-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}" CACHE PATH "Path to libMirage plugin directory." FORCE)
@@ -35,7 +41,7 @@
 pkg_check_modules(GLIB REQUIRED glib-2.0>=2.38 gobject-2.0>=2.38 gmodule-2.0>=2.38 gio-2.0>=2.38 IMPORTED_TARGET)
 
 if(INTROSPECTION_ENABLED)
-    pkg_check_modules(INTROSPECTION gobject-introspection-1.0>=1.30.0)
+    pkg_check_modules(INTROSPECTION gobject-introspection-1.0>=1.42.0)
     if(INTROSPECTION_FOUND)
         include(GObjectIntrospection)
         set(INTROSPECTION_STATUS "ON")
@@ -92,8 +98,9 @@
 if(CMAKE_COMPILER_IS_GNUCC)
     # Enable additional warnings
     add_definitions(-Wall -Wextra -Wshadow -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wcast-align)
-    add_definitions(-Wno-sign-compare)
-    add_definitions(-Wno-cast-function-type)
+    if(PEDANTIC_MODE)
+        add_definitions(-pedantic)
+    endif()
 endif()
 
 # *** libMirage core library ***
@@ -120,6 +127,7 @@
     mirage/track.h
     mirage/types.h
     mirage/utils.h
+#    mirage/utils-private.h
     mirage/writer.h
     ${PROJECT_BINARY_DIR}/mirage/version.h
 #    ${PROJECT_BINARY_DIR}/mirage/config.h
@@ -146,6 +154,7 @@
     mirage/stream.c
     mirage/track.c
     mirage/utils.c
+    mirage/utils-private.c
     mirage/version.c
     mirage/writer.c
 )
@@ -177,8 +186,8 @@
 # *** Introspection ***
 if(INTROSPECTION_ENABLED AND INTROSPECTION_FOUND)
     gobject_introspection(
-        FILENAME Mirage-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.gir
-        NSVERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
+        FILENAME Mirage-${MIRAGE_GIR_VERSION}.gir
+        NSVERSION ${MIRAGE_GIR_VERSION}
         INCLUDES GObject-2.0 Gio-2.0 GLib-2.0 GModule-2.0
         LIBRARY mirage
         QUIET
@@ -194,7 +203,7 @@
 # *** Vala API ***
 if(INTROSPECTION_ENABLED AND INTROSPECTION_FOUND AND VALAC AND VAPIGEN)
     add_custom_target(vala ALL)
-    set(gir_fullname ${CMAKE_BINARY_DIR}/Mirage-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.gir)
+    set(gir_fullname ${CMAKE_BINARY_DIR}/Mirage-${MIRAGE_GIR_VERSION}.gir)
     set(vapi_file ${CMAKE_CURRENT_BINARY_DIR}/libmirage.vapi)
 
     add_custom_command(OUTPUT ${vapi_file}
@@ -227,7 +236,7 @@
         SOURCE_DIR ${PROJECT_SOURCE_DIR}/mirage ${PROJECT_BINARY_DIR}/mirage
         SOURCES ${libmirage_HEADERS} ${libmirage_SOURCES}
         DOCS_DIR ${PROJECT_SOURCE_DIR}/reference
-        IGNORE_HFILES compat-input-stream.h config.h
+        IGNORE_HFILES compat-input-stream.h config.h utils-private.h
         CFLAGS ${GLIB_CFLAGS}
         LDFLAGS ${GLIB_LDFLAGS} -L${PROJECT_BINARY_DIR}
             -Wl,-rpath,${PROJECT_BINARY_DIR} -l${GTKDOC_LIB}
@@ -271,12 +280,7 @@
 
 # *** Configuration summary ***
 message(STATUS "")
-message(STATUS "*** libMirage v.${PROJECT_VERSION} configuration summary ***")
-message(STATUS "Compiler and build info:")
-message(STATUS " C compiler: " ${CMAKE_C_COMPILER} ${CMAKE_C_COMPILER_ARG1})
-message(STATUS " C flags (Release): " ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_RELEASE})
-message(STATUS " C flags (Debug): " ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_DEBUG})
-message(STATUS " build type: " ${CMAKE_BUILD_TYPE})
+message(STATUS "*** libMirage v${PROJECT_VERSION} configuration summary ***")
 message(STATUS "Installation:")
 message(STATUS " install prefix: " ${CMAKE_INSTALL_PREFIX})
 message(STATUS " plugin dir: " ${MIRAGE_PLUGIN_DIR})
@@ -287,6 +291,7 @@
 message(STATUS " enabled: ${IMAGE_FORMATS_ENABLED}")
 message(STATUS " disabled: ${IMAGE_FORMATS_DISABLED}")
 message(STATUS "Options:")
+message(STATUS " pedantic mode: " ${PEDANTIC_MODE})
 message(STATUS " build gtk-doc documentation: " ${GTKDOC_STATUS})
 message(STATUS " build gobject-introspection bindings: " ${INTROSPECTION_STATUS})
 message(STATUS " build Vala bindings: " ${VAPI_STATUS})
