=== debian/changelog ===
libmirage-dmo (1:3.3.0-dmo2) unstable; urgency=medium

  * libmirage12 should replaces libmirage11

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Feb 2026 17:53:32 +0100

libmirage-dmo (1:3.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Feb 2026 16:35:49 +0100
