=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: libmirage-dmo
 Section: libs
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://cdemu.sourceforge.io/about/libmirage/
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), dh-sequence-gir, pkgconf (>= 0.16),
  libglib2.0-dev (>= 2.38), libsndfile1-dev, libsamplerate0-dev, zlib1g-dev,
- libbz2-dev, liblzma-dev, gtk-doc-tools, libgirepository1.0-dev, intltool,
- cmake (>= 3.7.0~), ninja-build, valac
+ libbz2-dev, liblzma-dev, gtk-doc-tools, gir1.2-girepository-3.0-dev, intltool,
+ cmake (>= 3.7.0~), ninja-build, valac,
 
-Package: libmirage11
+Package: libmirage12
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libmirage11,
+Replaces: libmirage11,
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: CD-ROM image access library
  The aim of libMirage is to provide uniform access to the data stored in
  different image formats, by creating a representation of disc stored in
@@ -21,9 +22,9 @@
 
 Package: libmirage-plugin
 Architecture: any
-Conflicts: libmirage9, libmirage10
-Replaces: libmirage9, libmirage10
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libmirage9, libmirage10,
+Replaces: libmirage9, libmirage10,
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: CD-ROM image access library - plugin files
  Provides uniform access to the data stored in different image formats, by
  creating a representation of disc stored in image file.
@@ -60,9 +61,9 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: libmirage11 (= ${binary:Version}), ${gir:Depends}, ${misc:Depends}
-Replaces: gir1.2-mirage
-Conflicts: gir1.2-mirage
+Depends: libmirage12 (= ${binary:Version}), ${gir:Depends}, ${misc:Depends},
+Replaces: gir1.2-mirage,
+Conflicts: gir1.2-mirage,
 Description: CD-ROM image access library - typelib files
  This package provides typelib files.
 
@@ -70,9 +71,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmirage11 (= ${binary:Version}), gir1.2-mirage-3.2 (= ${binary:Version}), ${misc:Depends}
-Replaces: libmirage10-dev
-Conflicts: libmirage10-dev
+Depends: libmirage12 (= ${binary:Version}), gir1.2-mirage-3.2 (= ${binary:Version}), ${misc:Depends},
+Replaces: libmirage10-dev,
+Conflicts: libmirage10-dev,
 Description: CD-ROM image access library - development files
  This package contains files needed to develop with libMirage.
 
@@ -80,9 +81,9 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
-Recommends: devhelp
-Replaces: libmirage10-doc
-Conflicts: libmirage10-doc
+Depends: ${misc:Depends},
+Recommends: devhelp,
+Replaces: libmirage10-doc,
+Conflicts: libmirage10-doc,
 Description: CD-ROM image access library - documentation
  This package contains documentation for libMirage.
