=== debian/changelog ===
libmirage-dmo (1:3.3.1-dmo2) unstable; urgency=medium

  * Fix bad copy/paste in debian/control

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Feb 2026 11:03:11 +0100

libmirage-dmo (1:3.3.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.
  * Move i18n files to libmirage-i18n package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Feb 2026 10:55:02 +0100
