=== debian/control ===
--- 
+++ 
@@ -12,18 +12,28 @@
 Package: libmirage12
 Architecture: any
 Multi-Arch: same
-Conflicts: libmirage11,
-Replaces: libmirage11,
 Depends: ${shlibs:Depends}, ${misc:Depends},
+Suggests: libmirage-i18n,
 Description: CD-ROM image access library
  The aim of libMirage is to provide uniform access to the data stored in
  different image formats, by creating a representation of disc stored in
  image file, which is based on GObjects.
 
+Package: libmirage-i18n
+Architecture: all
+Section: localization
+Multi-Arch: foreign
+Depends: libmirage12, ${misc:Depends},
+Replaces: libmirage-plugin (<< 1:3.3.1-dmo1),
+Description: CD-ROM image access library - i18n support
+ The aim of libMirage is to provide uniform access to the data stored in
+ different image formats, by creating a representation of disc stored in
+ image file, which is based on GObjects.
+ .
+ This package contains localization data.
+
 Package: libmirage-plugin
 Architecture: any
-Conflicts: libmirage9, libmirage10,
-Replaces: libmirage9, libmirage10,
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: CD-ROM image access library - plugin files
  Provides uniform access to the data stored in different image formats, by
